org.fourthline.cling.support.model.dlna.types

## Class BufferInfoType

- java.lang.Object
- - org.fourthline.cling.support.model.dlna.types.BufferInfoType

-     public class BufferInfoType
      extends Object

  Author:
    Mario Franco

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferInfoType(Long dejitterSize)`
    `BufferInfoType(Long dejitterSize, CodedDataBuffer cdb, Long targetDuration, Boolean fullnessReports)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CodedDataBuffer` | `getCdb()`
    `Long` | `getDejitterSize()`
    `String` | `getString()`
    `Long` | `getTargetDuration()`
    `Boolean` | `isFullnessReports()`
    `static BufferInfoType` | `valueOf(String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferInfoType

          public BufferInfoType(Long dejitterSize)

    - #### BufferInfoType

          public BufferInfoType(Long dejitterSize,
                                CodedDataBuffer cdb,
                                Long targetDuration,
                                Boolean fullnessReports)

  - ### Method Detail

    - #### valueOf

          public static BufferInfoType valueOf(String s)
                                        throws InvalidValueException

      Throws:
        `InvalidValueException`

    - #### getString

          public String getString()

    - #### getDejitterSize

          public Long getDejitterSize()

      Returns:
        the dejitter size

    - #### getCdb

          public CodedDataBuffer getCdb()

      Returns:
        the cdb

    - #### getTargetDuration

          public Long getTargetDuration()

      Returns:
        the targetDuration

    - #### isFullnessReports

          public Boolean isFullnessReports()

      Returns:
        the fullnessReports

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.